This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1478647 - [Doc] : Volume export via Ganesha fails while trying to export a stopped volume,even after volume start.
[Doc] : Volume export via Ganesha fails while trying to export a stopped volu...
Status: VERIFIED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide (Show other bugs)
3.3
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: storage-doc
Ambarish
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-05 11:36 EDT by Ambarish
Modified: 2017-09-11 05:27 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1459905
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 4 Jiffin 2017-08-11 03:58:59 EDT
Doc text for trouble shooting section

The ganesha.enable command be executed in a volume which is in stopped state. During start of the volume, glusterd exports volume with help of hook script. So if the volume is not exported during start please execute the following for re-exporting the volume

 /usr/libexec/ganesha/dbus-send.sh /var/run/gluster/shared_storage on <volume name>
Comment 11 Ambarish 2017-09-08 10:08:20 EDT
Can I have a devel ACK plz :)
Comment 13 Ambarish 2017-09-11 05:26:51 EDT
Thanks Laura!

It LGTM too.

Note You need to log in before you can comment on or make changes to this bug.